com.hazelcast.config

## Enum PartitionGroupConfig.MemberGroupType

- java.lang.Object
- - java.lang.Enum<PartitionGroupConfig.MemberGroupType>
  - - com.hazelcast.config.PartitionGroupConfig.MemberGroupType

- All Implemented Interfaces:
    Serializable, Comparable<PartitionGroupConfig.MemberGroupType>
  Enclosing class:
    PartitionGroupConfig

      public static enum PartitionGroupConfig.MemberGroupType
      extends Enum<PartitionGroupConfig.MemberGroupType>

  Type of member groups.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM` Custom.
    `HOST_AWARE` Host aware.
    `PER_MEMBER` Per member.
    `SPI` MemberGroup implementation will be provided by the user via Discovery SPI.
    `ZONE_AWARE` Zone Aware.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PartitionGroupConfig.MemberGroupType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PartitionGroupConfig.MemberGroupType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOST_AWARE

          public static final PartitionGroupConfig.MemberGroupType HOST_AWARE

      Host aware.

    - #### CUSTOM

          public static final PartitionGroupConfig.MemberGroupType CUSTOM

      Custom.

    - #### PER_MEMBER

          public static final PartitionGroupConfig.MemberGroupType PER_MEMBER

      Per member.

    - #### ZONE_AWARE

          public static final PartitionGroupConfig.MemberGroupType ZONE_AWARE

      Zone Aware. Backups will be created in other zones. If only one zone is available, backups will be created in the same zone.

    - #### SPI

          public static final PartitionGroupConfig.MemberGroupType SPI

      MemberGroup implementation will be provided by the user via Discovery SPI.

  - ### Method Detail

    - #### values

          public static PartitionGroupConfig.MemberGroupType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PartitionGroupConfig.MemberGroupType c : PartitionGroupConfig.MemberGroupType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PartitionGroupConfig.MemberGroupType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020. All rights reserved.